<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');
require_once('sadmin_ip_conf.inc.php');

// check
	if (!$_GET['ssa_email'])
		msg('올바른	URL로 접근하여 주십시오');

// data
	// [2025-07-15] 기존 웹메일 접근 IP 관리에 아이디 추가
	$_POST['ssa_email'] = to_db_str($_POST['ssa_email'], 255, false);
	$_POST['ssa_memo'] = to_db_str($_POST['ssa_memo'], 255);

	$q = "UPDATE " . $TB['SADMIN_SPAM_ADDR'] . " SET ssa_email='" . $_POST['ssa_email'] . "', ssa_memo='".$_POST['ssa_memo']."' WHERE ssa_email='" . $_GET['ssa_email'] . "'";
	db_query($q);

// end
	//msg("수정되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('sadmin_spam_addr.php?'.get_qs('ssa_email'));
	}	// if()

require_once('include/global_end.php');
?>